-- ============================================================
--
--   LÖVE callbacks
--
-- ============================================================


-- ============================================================
--   update : called once every frame, updates game state
-- ============================================================
--
return function (dt)
	-- Update variables linked to elapsed time
	objGame.status.elapsedTime = objGame.status.elapsedTime + dt
	objGame.status.spawnTimer  = objGame.status.spawnTimer  + dt
	objGame.status.fireTimer   = objGame.status.fireTimer   + dt

	-- Use the game's update function
	objGame:update(dt)
end
--
-- ============================================================
