-- ============================================================
--
--   LÖVE callbacks
--
-- ============================================================


-- ============================================================
--   load : called on startup, inits game
-- ============================================================
--
return function ()
	-- Create main game object in global namespace
	objGame = clsGame:new()

	-- Preload all graphics
	objGame:loadShipsDefinitions()
	objGame:loadAsteroidsDefinitions()
	objGame:loadAnimationsDefinitions()
	objGame:loadProjectilesDefinitions()
	objGame:loadBeamsDefinitions()

	-- Set it in Menu state
	objGame:gotoState("Menu")
end
--
-- ============================================================
